Bug 114219 - 'Edit Section' context menu not visible when on a linked section
Summary: 'Edit Section' context menu not visible when on a linked section
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.beta1
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.1.0 target:6.0.0.1 target:5.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Section
  Show dependency treegraph
 
Reported: 2017-12-03 09:00 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-12-12 23:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-12-03 09:00:26 UTC
steps:
1. open writer
2. Insert > Section
3. check the 'link' checkbox
4. select a filename
5. press okay
6. right-click on section and 'Edit Section' isnt available

Version: 6.1.0.0.alpha0+
Build ID: 2618e4a13d719122e6358d9d96864d1691e56a02
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 1 Dieter Praas 2017-12-03 11:45:58 UTC
I confirm it with 

Version: 6.0.0.0.beta1 (x64)
Build ID: 97471ab4eb4db4c487195658631696bb3238656c
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: group threaded

But "Edit Section" is present in 

Version: 5.4.3.2 (x64)
Build-ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU-Threads: 4; Betriebssystem:Windows 6.19; UI-Render: Standard; 
Gebietsschema: it-IT (de_DE); Calc: group

=> regession?
Comment 2 Yousuf Philips (jay) (retired) 2017-12-04 12:52:51 UTC
Confirmed its not in 5.4.3 an is in 5.4.5, so i'm assuming its a regression from the patch submitted in bug 112808.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e149c4f3dcd08b9331dbbecf31c200d4d3bb02b5
Comment 3 Xisco Faulí 2017-12-04 14:09:06 UTC
Regression introduced by:

author	Gulsah Kose <gulsah.1004@gmail.com>	2017-10-17 15:09:37 +0300
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2017-10-18 15:56:20 +0200
commit	e149c4f3dcd08b9331dbbecf31c200d4d3bb02b5 (patch)
tree	4fa8164c11fdedcb26aeb21dd5bbf42f3ee2dd2a
parent	087a90e27b7219e8c1aaa880b39376c94a0dcaae (diff)
tdf#112808 Disable "Edit Region" command while cursor in an index.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Gulsah Kose
Comment 4 Xisco Faulí 2017-12-04 18:06:06 UTC
patch in gerrit: https://gerrit.libreoffice.org/#/c/45817/
Comment 5 Commit Notification 2017-12-06 10:48:20 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2eae1d741ebdc1e2ce1e512960e8152e178e0150

tdf#114219: Show Edit dialog entry in link section

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-12-12 23:11:38 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc77f3cff1d5926c460fd6418397bd6295497c1f&h=libreoffice-6-0

tdf#114219: Show Edit dialog entry in link section

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-12-12 23:11:47 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16cf34a1d208b0e3e1f6ea9eadabbbd25894f829&h=libreoffice-5-4

tdf#114219: Show Edit dialog entry in link section

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.